CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CommandMessenger.TopCommandStrategy Class Reference

Top strategy. The command is added to the front of the queue. More...

Inheritance diagram for CommandMessenger.TopCommandStrategy:

List of all members.

## Public Member Functions
| TopCommandStrategy (Command command)
| Top strategy. The command is added to the front of the queue.
override void | Enqueue ()
| Add command (strategy) to command queue.

## Detailed Description

Top strategy. The command is added to the front of the queue.

## Constructor & Destructor Documentation

CommandMessenger.TopCommandStrategy.TopCommandStrategy | ( | Command | command | ) |

Top strategy. The command is added to the front of the queue.

Parameters:

  command | The command to add to the front of the queue.

## Member Function Documentation

override void CommandMessenger.TopCommandStrategy.Enqueue | ( |  | ) | `[virtual]`

Add command (strategy) to command queue.

Reimplemented from CommandMessenger.CommandStrategy.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Queue/TopCommandStrategy.cs